Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 175730 - MOUNTD_NFS_V2=no doesn't work
Summary: MOUNTD_NFS_V2=no doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nfs-utils
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2005-12-14 12:33 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2006-0469
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:24:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
nfs-mountd-v2-off-rhel3.patch (deleted)
2005-12-14 12:33 UTC, Bastien Nocera
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0469 normal SHIPPED_LIVE nfs-utils bug fix update 2006-07-19 18:25:00 UTC

Description Bastien Nocera 2005-12-14 12:33:01 UTC
+++ This bug was initially created as a clone of Bug #175729 +++

As the mountd protocol version 1 and 2 handle NFS v2, both need to be switched
off to disable NFS v2.
Example:
mount -t nfs -o nfsvers=2 localhost:/test/ /mnt/test/
should fail with MOUNTD_NFS_V2=no in /etc/sysconfig/nfs ("mount to NFS server
'localhost' failed: server is down."), but doesn't without the attached patch.

-- Additional comment from bnocera@redhat.com on 2005-12-14 07:31 EST --
Created an attachment (id=122221)
nfs-mountd-v2-off-rhel4.patch

Comment 1 Bastien Nocera 2005-12-14 12:33:01 UTC
Created attachment 122222 [details]
nfs-mountd-v2-off-rhel3.patch

Comment 3 Bob Johnson 2006-04-11 16:16:04 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.

Comment 4 Steve Dickson 2006-05-03 20:22:57 UTC
Fixed in nfs-utils-1.0.6-44EL 

Comment 8 Red Hat Bugzilla 2006-07-20 14:24:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0469.html



Note You need to log in before you can comment on or make changes to this bug.